### Hierarchy

- Stream
  - Http2ServerResponse

## Index

### Constructors

- constructor

### Properties

- connection
- finished
- headersSent
- sendDate
- socket
- statusCode
- statusMessage
- stream
- defaultMaxListeners

### Methods

- addListener
- addTrailers
- createPushResponse
- emit
- end
- eventNames
- getHeader
- getHeaderNames
- getHeaders
- getMaxListeners
- hasHeader
- listenerCount
- listeners
- off
- on
- once
- pipe
- prependListener
- prependOnceListener
- rawListeners
- removeAllListeners
- removeHeader
- removeListener
- setHeader
- setMaxListeners
- setTimeout
- write
- writeContinue
- writeHead
- listenerCount

## Constructors

### Private constructor

- new Http2ServerResponse(): Http2ServerResponse

- - Defined in node_modules/@types/node/http2.d.ts:561

  #### Returns Http2ServerResponse

## Properties

### connection

connection: Socket | TLSSocket

- Defined in node_modules/@types/node/http2.d.ts:564

### finished

finished: boolean

- Defined in node_modules/@types/node/http2.d.ts:568

### headersSent

headersSent: boolean

- Defined in node_modules/@types/node/http2.d.ts:573

### sendDate

sendDate: boolean

- Defined in node_modules/@types/node/http2.d.ts:575

### socket

socket: Socket | TLSSocket

- Defined in node_modules/@types/node/http2.d.ts:578

### statusCode

statusCode: number

- Defined in node_modules/@types/node/http2.d.ts:579

### statusMessage

statusMessage: ""

- Defined in node_modules/@types/node/http2.d.ts:580

### stream

stream: ServerHttp2Stream

- Defined in node_modules/@types/node/http2.d.ts:581

### Static defaultMaxListeners

defaultMaxListeners: number

Inherited from EventEmitter.defaultMaxListeners

- Defined in node_modules/@types/node/events.d.ts:8

## Methods

### addListener

- addListener(event: string, listener: function): this
- addListener(event: "aborted", listener: function): this
- addListener(event: "close", listener: function): this
- addListener(event: "drain", listener: function): this
- addListener(event: "error", listener: function): this
- addListener(event: "finish", listener: function): this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/http2.d.ts:589

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/http2.d.ts:590

  #### Parameters

  - ##### event: "aborted"

  - ##### listener: function

    - - (hadError: boolean, code: number): void

      - #### Parameters

        - ##### hadError: boolean

        - ##### code: number

        #### Returns void

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/http2.d.ts:591

  #### Parameters

  - ##### event: "close"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/http2.d.ts:592

  #### Parameters

  - ##### event: "drain"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/http2.d.ts:593

  #### Parameters

  - ##### event: "error"

  - ##### listener: function

    - - (error: Error): void

      - #### Parameters

        - ##### error: Error

        #### Returns void

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/http2.d.ts:594

  #### Parameters

  - ##### event: "finish"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

### addTrailers

- addTrailers(trailers: OutgoingHttpHeaders): void

- - Defined in node_modules/@types/node/http2.d.ts:563

  #### Parameters

  - ##### trailers: OutgoingHttpHeaders

  #### Returns void

### createPushResponse

- createPushResponse(headers: OutgoingHttpHeaders, callback: function): void

- - Defined in node_modules/@types/node/http2.d.ts:587

  #### Parameters

  - ##### headers: OutgoingHttpHeaders

  - ##### callback: function

    - - (err: Error | null, res: Http2ServerResponse): void

      - #### Parameters

        - ##### err: Error | null

        - ##### res: Http2ServerResponse

        #### Returns void

### emit

- emit(event: string | symbol, ...args: any[]): boolean
- emit(event: "aborted", hadError: boolean, code: number): boolean
- emit(event: "close"): boolean
- emit(event: "drain"): boolean
- emit(event: "error", error: Error): boolean
- emit(event: "finish"): boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/http2.d.ts:596

  #### Parameters

  - ##### event: string | symbol

  - ##### Rest ...args: any[]

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/http2.d.ts:597

  #### Parameters

  - ##### event: "aborted"

  - ##### hadError: boolean

  - ##### code: number

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/http2.d.ts:598

  #### Parameters

  - ##### event: "close"

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/http2.d.ts:599

  #### Parameters

  - ##### event: "drain"

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/http2.d.ts:600

  #### Parameters

  - ##### event: "error"

  - ##### error: Error

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/http2.d.ts:601

  #### Parameters

  - ##### event: "finish"

  #### Returns boolean

### end

- end(callback?: undefined | function): void
- end(data?: string | Buffer, callback?: undefined | function): void
- end(data?: string | Buffer, encoding?: undefined | string, callback?: undefined | function): void

- - Defined in node_modules/@types/node/http2.d.ts:565

  #### Parameters

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/http2.d.ts:566

  #### Parameters

  - ##### Optional data: string | Buffer

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/http2.d.ts:567

  #### Parameters

  - ##### Optional data: string | Buffer

  - ##### Optional encoding: undefined | string

  - ##### Optional callback: undefined | function

  #### Returns void

### eventNames

- eventNames(): Array<string | symbol>

- Inherited from EventEmitter.eventNames

  Overrides EventEmitter.eventNames

  - Defined in node_modules/@types/node/events.d.ts:23

  #### Returns Array<string | symbol>

### getHeader

- getHeader(name: string): string

- - Defined in node_modules/@types/node/http2.d.ts:569

  #### Parameters

  - ##### name: string

  #### Returns string

### getHeaderNames

- getHeaderNames(): string[]

- - Defined in node_modules/@types/node/http2.d.ts:570

  #### Returns string[]

### getHeaders

- getHeaders(): OutgoingHttpHeaders

- - Defined in node_modules/@types/node/http2.d.ts:571

  #### Returns OutgoingHttpHeaders

### getMaxListeners

- getMaxListeners(): number

- Inherited from EventEmitter.getMaxListeners

  Overrides EventEmitter.getMaxListeners

  - Defined in node_modules/@types/node/events.d.ts:19

  #### Returns number

### hasHeader

- hasHeader(name: string): boolean

- - Defined in node_modules/@types/node/http2.d.ts:572

  #### Parameters

  - ##### name: string

  #### Returns boolean

### listenerCount

- listenerCount(type: string | symbol): number

- Inherited from EventEmitter.listenerCount

  Overrides EventEmitter.listenerCount

  - Defined in node_modules/@types/node/events.d.ts:24

  #### Parameters

  - ##### type: string | symbol

  #### Returns number

### listeners

- listeners(event: string | symbol): Function[]

- Inherited from EventEmitter.listeners

  Overrides EventEmitter.listeners

  - Defined in node_modules/@types/node/events.d.ts:20

  #### Parameters

  - ##### event: string | symbol

  #### Returns Function[]

### off

- off(event: string | symbol, listener: function): this

- Inherited from EventEmitter.off

  Overrides EventEmitter.off

  - Defined in node_modules/@types/node/events.d.ts:16

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### on

- on(event: string, listener: function): this
- on(event: "aborted", listener: function): this
- on(event: "close", listener: function): this
- on(event: "drain", listener: function): this
- on(event: "error", listener: function): this
- on(event: "finish", listener: function): this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/http2.d.ts:603

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/http2.d.ts:604

  #### Parameters

  - ##### event: "aborted"

  - ##### listener: function

    - - (hadError: boolean, code: number): void

      - #### Parameters

        - ##### hadError: boolean

        - ##### code: number

        #### Returns void

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/http2.d.ts:605

  #### Parameters

  - ##### event: "close"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/http2.d.ts:606

  #### Parameters

  - ##### event: "drain"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/http2.d.ts:607

  #### Parameters

  - ##### event: "error"

  - ##### listener: function

    - - (error: Error): void

      - #### Parameters

        - ##### error: Error

        #### Returns void

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/http2.d.ts:608

  #### Parameters

  - ##### event: "finish"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

### once

- once(event: string, listener: function): this
- once(event: "aborted", listener: function): this
- once(event: "close", listener: function): this
- once(event: "drain", listener: function): this
- once(event: "error", listener: function): this
- once(event: "finish", listener: function): this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/http2.d.ts:610

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/http2.d.ts:611

  #### Parameters

  - ##### event: "aborted"

  - ##### listener: function

    - - (hadError: boolean, code: number): void

      - #### Parameters

        - ##### hadError: boolean

        - ##### code: number

        #### Returns void

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/http2.d.ts:612

  #### Parameters

  - ##### event: "close"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/http2.d.ts:613

  #### Parameters

  - ##### event: "drain"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/http2.d.ts:614

  #### Parameters

  - ##### event: "error"

  - ##### listener: function

    - - (error: Error): void

      - #### Parameters

        - ##### error: Error

        #### Returns void

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/http2.d.ts:615

  #### Parameters

  - ##### event: "finish"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

### pipe

- pipe<T>(destination: T, options?: undefined | object): T

- Inherited from internal.pipe

  - Defined in node_modules/@types/node/stream.d.ts:5

  #### Type parameters

  - #### T: WritableStream

  #### Parameters

  - ##### destination: T

  - ##### Optional options: undefined | object

  #### Returns T

### prependListener

- prependListener(event: string, listener: function): this
- prependListener(event: "aborted", listener: function): this
- prependListener(event: "close", listener: function): this
- prependListener(event: "drain", listener: function): this
- prependListener(event: "error", listener: function): this
- prependListener(event: "finish", listener: function): this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/http2.d.ts:617

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/http2.d.ts:618

  #### Parameters

  - ##### event: "aborted"

  - ##### listener: function

    - - (hadError: boolean, code: number): void

      - #### Parameters

        - ##### hadError: boolean

        - ##### code: number

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/http2.d.ts:619

  #### Parameters

  - ##### event: "close"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/http2.d.ts:620

  #### Parameters

  - ##### event: "drain"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/http2.d.ts:621

  #### Parameters

  - ##### event: "error"

  - ##### listener: function

    - - (error: Error): void

      - #### Parameters

        - ##### error: Error

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/http2.d.ts:622

  #### Parameters

  - ##### event: "finish"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

### prependOnceListener

- prependOnceListener(event: string, listener: function): this
- prependOnceListener(event: "aborted", listener: function): this
- prependOnceListener(event: "close", listener: function): this
- prependOnceListener(event: "drain", listener: function): this
- prependOnceListener(event: "error", listener: function): this
- prependOnceListener(event: "finish", listener: function): this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/http2.d.ts:624

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/http2.d.ts:625

  #### Parameters

  - ##### event: "aborted"

  - ##### listener: function

    - - (hadError: boolean, code: number): void

      - #### Parameters

        - ##### hadError: boolean

        - ##### code: number

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/http2.d.ts:626

  #### Parameters

  - ##### event: "close"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/http2.d.ts:627

  #### Parameters

  - ##### event: "drain"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/http2.d.ts:628

  #### Parameters

  - ##### event: "error"

  - ##### listener: function

    - - (error: Error): void

      - #### Parameters

        - ##### error: Error

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/http2.d.ts:629

  #### Parameters

  - ##### event: "finish"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

### rawListeners

- rawListeners(event: string | symbol): Function[]

- Inherited from EventEmitter.rawListeners

  Overrides EventEmitter.rawListeners

  - Defined in node_modules/@types/node/events.d.ts:21

  #### Parameters

  - ##### event: string | symbol

  #### Returns Function[]

### removeAllListeners

- removeAllListeners(event?: string | symbol): this

- Inherited from EventEmitter.removeAllListeners

  Overrides EventEmitter.removeAllListeners

  - Defined in node_modules/@types/node/events.d.ts:17

  #### Parameters

  - ##### Optional event: string | symbol

  #### Returns this

### removeHeader

- removeHeader(name: string): void

- - Defined in node_modules/@types/node/http2.d.ts:574

  #### Parameters

  - ##### name: string

  #### Returns void

### removeListener

- removeListener(event: string | symbol, listener: function): this

- Inherited from EventEmitter.removeListener

  Overrides EventEmitter.removeListener

  - Defined in node_modules/@types/node/events.d.ts:15

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### setHeader

- setHeader(name: string, value: number | string | string[]): void

- - Defined in node_modules/@types/node/http2.d.ts:576

  #### Parameters

  - ##### name: string

  - ##### value: number | string | string[]

  #### Returns void

### setMaxListeners

- setMaxListeners(n: number): this

- Inherited from EventEmitter.setMaxListeners

  Overrides EventEmitter.setMaxListeners

  - Defined in node_modules/@types/node/events.d.ts:18

  #### Parameters

  - ##### n: number

  #### Returns this

### setTimeout

- setTimeout(msecs: number, callback?: undefined | function): void

- - Defined in node_modules/@types/node/http2.d.ts:577

  #### Parameters

  - ##### msecs: number

  - ##### Optional callback: undefined | function

  #### Returns void

### write

- write(chunk: string | Buffer, callback?: undefined | function): boolean
- write(chunk: string | Buffer, encoding?: undefined | string, callback?: undefined | function): boolean

- - Defined in node_modules/@types/node/http2.d.ts:582

  #### Parameters

  - ##### chunk: string | Buffer

  - ##### Optional callback: undefined | function

  #### Returns boolean

- - Defined in node_modules/@types/node/http2.d.ts:583

  #### Parameters

  - ##### chunk: string | Buffer

  - ##### Optional encoding: undefined | string

  - ##### Optional callback: undefined | function

  #### Returns boolean

### writeContinue

- writeContinue(): void

- - Defined in node_modules/@types/node/http2.d.ts:584

  #### Returns void

### writeHead

- writeHead(statusCode: number, headers?: OutgoingHttpHeaders): this
- writeHead(statusCode: number, statusMessage?: undefined | string, headers?: OutgoingHttpHeaders): this

- - Defined in node_modules/@types/node/http2.d.ts:585

  #### Parameters

  - ##### statusCode: number

  - ##### Optional headers: OutgoingHttpHeaders

  #### Returns this

- - Defined in node_modules/@types/node/http2.d.ts:586

  #### Parameters

  - ##### statusCode: number

  - ##### Optional statusMessage: undefined | string

  - ##### Optional headers: OutgoingHttpHeaders

  #### Returns this

### Static listenerCount

- listenerCount(emitter: EventEmitter, event: string | symbol): number

- Inherited from EventEmitter.listenerCount

  - Defined in node_modules/@types/node/events.d.ts:7
  deprecated

    since v4.0.0

  #### Parameters

  - ##### emitter: EventEmitter

  - ##### event: string | symbol

  #### Returns number

Generated using TypeDoc